package org.ntlab.acanthus_client.views.paint;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.BaseAdapter;
import android.widget.ListView;

import androidx.appcompat.app.AppCompatActivity;
import androidx.lifecycle.ViewModelProvider;

import org.ntlab.acanthus_client.Acanthus;
import org.ntlab.acanthus_client.R;

public class InviteActivity extends AppCompatActivity implements AdapterView.OnItemClickListener {
    private InviteViewModel inviteViewModel;
    private static final String[] scenes = {
            "UserName",
    };

    //-----------------------------------------------------------------
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        init();
        setContentView((R.layout.activity_invite));
        // ListViewのインスタンスを生成
        ListView listView = findViewById(R.id.list_view);

        // BaseAdapter を継承したadapterのインスタンスを生成
        // レイアウトファイル list.xml を activity_main.xml に
        // inflate するためにadapterに引数として渡す
        BaseAdapter adapter = new ListViewAdapter(this.getApplicationContext(), R.layout.list, scenes);

        // ListViewにadapterをセット
        listView.setAdapter(adapter);

        // クリックリスナーをセット
        listView.setOnItemClickListener(this);
    }

    @Override
    public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
        Intent intent = new Intent(
                this.getApplicationContext(), PaintActivity.class);

        // clickされたpositionのtextとphotoのID
        String selectedText = scenes[position];
        // インテントにセット
        intent.putExtra("Text", selectedText);

        // SubActivityへ遷移
        startActivity(intent);
    }

    //-----------------------------------------------------------------
    //  init
    private void init() {
        Acanthus acanthus = (Acanthus) getApplication();
        inviteViewModel = new ViewModelProvider(this).get(InviteViewModel.class);
    }
}
